/*
 * Created on 2004-08-19
 *
 * Part of the Symbian development plug-in for Eclipse
 * Copyright (C) Mikołaj Zalewski, 2004
 */
package pl.zalewski.mikolaj.symbdev.templates;

import org.eclipse.core.resources.IProject;
import org.eclipse.core.runtime.CoreException;
import org.eclipse.core.runtime.IProgressMonitor;

import pl.zalewski.mikolaj.symbdev.wizards.IWizardContentProvider;

/**
 * @author mikolaj
 *
 * As empty template - nothing is added
 */
public class EmptyProjectTemplate implements IProjectTemplate {

    /**
     * Default constructor 
     */
    public EmptyProjectTemplate() {
        super();
    }

    /**
     * Returns "Empty project"
     * @see pl.zalewski.mikolaj.symbdev.templates.IProjectTemplate#getName()
     */
    public String getName() {
        return "Empty project";
    }

    /**
     * Return the description
     * @see pl.zalewski.mikolaj.symbdev.templates.IProjectTemplate#getDescription()
     */
    public String getDescription() {
        return "Creates and empty Symbian OS project";
    }

    /**
     * Does nothing
     * @see pl.zalewski.mikolaj.symbdev.templates.IProjectTemplate#applyToProject(org.eclipse.core.resources.IProject, org.eclipse.core.runtime.IProgressMonitor)
     */
    public void applyToProject(IProject prj, IProgressMonitor monitor)
            throws CoreException
    {
        if (monitor!=null)
        {
            monitor.beginTask("Applying empty template", 1);
            monitor.done();
        }
    }

    /**
     * Returns null
     * @see pl.zalewski.mikolaj.symbdev.templates.IProjectTemplate#getWizardContentProvider()
     */
    public IWizardContentProvider getWizardContentProvider() {
        return null;
    }
    
    /**
     * @return false
     * @see pl.zalewski.mikolaj.symbdev.templates.IProjectTemplate#hasWizardPages()
     */
    public boolean hasWizardPages() {
        return false;
    }
}
